Bug 1648407 - Switch from brctl (bridge-utils) to pyroute
Summary: Switch from brctl (bridge-utils) to pyroute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Brian Haley
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: 1623890 1708787
TreeView+ depends on / blocked
 
Reported: 2018-11-09 16:10 UTC by Bernard Cafarelli
Modified: 2019-09-26 10:46 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-14.0.1-0.20190411151933.be1fa29.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1801919 0 None None None 2018-11-09 16:13:06 UTC
OpenStack gerrit 617836 0 None None None 2018-11-13 21:04:19 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:49 UTC

Description Bernard Cafarelli 2018-11-09 16:10:52 UTC
Code in neutron agent still uses brctl commands for some cases, which is obsolete.

Linked launchpad initially suggested porting to "ip" commands, but pyroute2 sounds more promising/interesting

Comment 5 Brian Haley 2018-12-12 19:40:34 UTC
Code merged upstream.

Comment 7 Brian Haley 2019-04-11 16:22:50 UTC
Updated based on the latest downstream build from brew.

Comment 12 errata-xmlrpc 2019-09-21 11:19:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.